From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/tilt/
Date: Wed, 22 Mar 2023 03:25:38 +0000 (UTC) [thread overview]
Message-ID: <1679455510.0e4f58d873a0b98343eaef31a9f481d0daf95fb1.sam@gentoo> (raw)
commit: 0e4f58d873a0b98343eaef31a9f481d0daf95fb1
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 20 11:29:40 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 22 03:25:10 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e4f58d8
dev-ruby/tilt: add 2.1.0
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ruby/tilt/Manifest | 1 +
dev-ruby/tilt/tilt-2.1.0.ebuild | 41 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-ruby/tilt/Manifest b/dev-ruby/tilt/Manifest
index 53b57245771a..f31a652a34a5 100644
--- a/dev-ruby/tilt/Manifest
+++ b/dev-ruby/tilt/Manifest
@@ -1 +1,2 @@
DIST tilt-2.0.11.tar.gz 53041 BLAKE2B 2509cc3efe5e6302c8943c00108eeda6ee4b23a18952ad23049e11ea28b397b80a21d34c4d241119f45cedf2a978a2673d857a6cc32d7e26a2016caa510458f9 SHA512 e28e31ab92aa42eada34e0f6c05dab6a54945d07b649588356b1635ba8a36700f6e537e8702613883693501442d21690d8b3690b06f7b9f331192134511b78b7
+DIST tilt-2.1.0.tar.gz 54542 BLAKE2B b2d7729654efb51d9f61afe75476d6620edd7c104c045dc68c6a5e983cea8dec612d2e5013c51ee7736c87d770acdf8e6f186ff156d177f3281e0fb58d0e8422 SHA512 a450bdc51d782169cda2c43b550fad1425d4ee1a8f3c2da0bb1112051eb9ccfd95e903984ed6d3c76b0f322a243021587c6614f6452c385450ff1a985cfbcaa5
diff --git a/dev-ruby/tilt/tilt-2.1.0.ebuild b/dev-ruby/tilt/tilt-2.1.0.ebuild
new file mode 100644
index 000000000000..a1ad7679472a
--- /dev/null
+++ b/dev-ruby/tilt/tilt-2.1.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md docs/TEMPLATES.md"
+
+RUBY_FAKEGEM_GEMSPEC="tilt.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Thin interface over template engines to make their usage as generic as possible"
+HOMEPAGE="https://github.com/jeremyevans/tilt"
+SRC_URI="https://github.com/jeremyevans/tilt/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+# Block on some of the potential test dependencies. These dependencies
+# are optional for the test suite, and we don't want to depend on all of
+# them to faciliate keywording and stabling.
+ruby_add_bdepend "test? (
+ dev-ruby/erubi
+ dev-ruby/nokogiri
+)"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+ sed -e '/bundler/I s:^:#:' -i Rakefile test/test_helper.rb || die
+
+ # Avoid tests with minor syntax differences since this happens all
+ # the time when details in the dependencies change.
+ rm -f test/tilt_sasstemplate_test.rb || die
+
+ # Skip tests for unpackaged asciidoctor converter
+ sed -i -e '/docbook 4.5/askip' test/tilt_asciidoctor_test.rb || die
+}
next reply other threads:[~2023-03-22 3:25 UTC|newest]
Thread overview: 81+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-03-22 3:25 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-14 6:51 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/tilt/ Hans de Graaff
2025-01-05 7:30 Hans de Graaff
2024-12-21 8:58 Hans de Graaff
2024-11-03 7:27 Hans de Graaff
2024-10-10 11:04 Arthur Zamarin
2024-10-09 5:46 Sam James
2024-10-06 18:39 Arthur Zamarin
2024-10-06 12:01 Sam James
2024-10-06 11:52 Sam James
2024-10-06 11:52 Sam James
2024-06-28 4:31 Hans de Graaff
2023-12-29 7:40 Hans de Graaff
2023-09-15 10:09 Hans de Graaff
2023-09-15 5:52 Hans de Graaff
2023-08-20 8:47 Sam James
2023-08-19 6:10 Sam James
2023-08-19 6:09 Sam James
2023-07-09 18:25 Hans de Graaff
2023-04-23 22:17 Sam James
2023-04-23 20:03 Sam James
2023-04-23 20:00 Sam James
2023-04-23 19:56 Sam James
2023-04-23 19:52 Sam James
2023-04-23 19:50 Sam James
2023-03-24 3:58 Sam James
2023-01-21 8:44 Hans de Graaff
2022-12-04 18:07 Arthur Zamarin
2022-12-03 16:00 Arthur Zamarin
2022-12-03 11:48 Arthur Zamarin
2022-12-03 7:13 Hans de Graaff
2022-12-03 1:38 Sam James
2022-12-02 21:26 Sam James
2022-12-02 21:26 Sam James
2022-07-23 7:18 Hans de Graaff
2022-04-17 6:57 Hans de Graaff
2021-10-03 6:30 Hans de Graaff
2021-10-02 18:49 Sam James
2021-10-02 18:49 Sam James
2021-10-02 18:49 Sam James
2021-10-02 18:48 Sam James
2021-10-02 18:48 Sam James
2021-10-02 18:40 Sam James
2021-09-07 12:30 Marek Szuba
2021-01-06 18:32 Fabian Groffen
2020-04-26 8:58 Sergei Trofimovich
2020-02-17 6:04 Hans de Graaff
2020-01-13 6:09 Hans de Graaff
2019-10-04 6:02 Hans de Graaff
2019-05-13 5:31 Hans de Graaff
2019-05-13 1:41 Thomas Deutschmann
2019-04-28 20:18 Mikle Kolyada
2019-04-27 16:25 Sergei Trofimovich
2019-04-27 16:03 Sergei Trofimovich
2019-04-23 19:30 Mikle Kolyada
2019-04-10 6:24 Hans de Graaff
2019-01-16 7:24 Hans de Graaff
2018-12-14 7:43 Hans de Graaff
2018-07-04 20:56 Hans de Graaff
2018-04-27 5:42 Hans de Graaff
2018-02-24 8:50 Hans de Graaff
2017-10-01 0:56 Thomas Deutschmann
2017-07-27 7:13 Hans de Graaff
2017-07-12 4:48 Hans de Graaff
2017-06-30 11:17 Alexis Ballier
2017-06-23 4:52 Hans de Graaff
2017-06-23 3:38 Hans de Graaff
2017-06-02 5:38 Hans de Graaff
2017-02-27 18:55 Michael Weber
2017-02-27 17:01 Michael Weber
2016-12-11 19:17 Hans de Graaff
2016-12-11 19:17 Hans de Graaff
2016-12-11 19:17 Hans de Graaff
2016-08-16 12:43 Manuel Rüger
2016-07-23 8:46 Hans de Graaff
2016-07-22 7:05 Hans de Graaff
2016-06-04 3:50 Hans de Graaff
2016-05-19 5:30 Hans de Graaff
2016-05-13 5:18 Hans de Graaff
2016-03-06 19:21 Manuel Rüger
2016-01-08 6:45 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1679455510.0e4f58d873a0b98343eaef31a9f481d0daf95fb1.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox